body{
  margin-top:0px;
  background-color: #4f4f4f;
}

a {
  color: black;
  text-decoration: none !important;
}

a:hover {
  color: #222;
  text-decoration: none !important;
}


.btn{
  /* border: 1px solid white; */
}

i{
  color: #2cb9c2;
}

#css, #webgl {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0; left: 0;
  overflow: hidden;
}
#css {
  z-index: 1;
}
#webgl {
  z-index: 0;
}


.alert {
  position: fixed;
  bottom: 5px;
  left:2%;
  width: 96%;
  z-index: 1000;
}

.ol-attribution{
  display:none;
}

.tooltip1 {
  position: relative;
  background: rgba(0, 0, 0, 0.5);
  border-radius: 4px;
  color: white;
  padding: 4px 8px;
  opacity: 0.7;
  white-space: nowrap;
}
.tooltip1-measure {
  opacity: 1;
  font-weight: bold;
}
.tooltip1-static {
  background-color: #ffcc33;
  color: black;
  border: 1px solid white;
}
.tooltip1-measure:before,
.tooltip1-static:before {
  border-top: 6px solid rgba(0, 0, 0, 0.5);
  border-right: 6px solid transparent;
  border-left: 6px solid transparent;
  content: "";
  position: absolute;
  bottom: -6px;
  margin-left: -7px;
  left: 50%;
}
.tooltip1-static:before {
  border-top-color: #ffcc33;
}

.aktivan{
  border-bottom: 1px solid #ffcc33;
  font-weight: bold;
}

.tool{
  color: #aaa;
}

.selektovan{
  color: #000;
}

.navbar-light .navbar-nav .active>.nav-link, .navbar-light .navbar-nav .nav-link.active, .navbar-light .navbar-nav .nav-link.show, .navbar-light .navbar-nav .show>.nav-link {
  color: rgba(0,0,0, 1);
}

.map {
  height: 800px;
  margin-bottom: 10px;
}

.widget {
  z-index: 1000;
  position: fixed;
  left: 2pt;
  top: 50pt;
  min-width: 450px;
  width: 460px;
  /* background-color: rgba(255, 255, 255, 0.95); */
  background-color: #4f4f4f;
  padding: 5px;
  /* border: 1px solid #ffcc33; */
}

.widget-edit {
    display: block; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 10000; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content/Box */
.widget-edit-content {
    background-color: #4f4f4f;
    margin: 45px 2px; /* 50px from the top and centered 50px auto;*/
    padding: 5px;
    border: 1px solid #888;
    width: 80%; /* Could be more or less, depending on screen size */
    max-width: 600px;
}

.panel-body {
    max-width: 600px;
    min-height: 300px;
}


.on-right{
  position: absolute;
  right: 8px;
}

.btn-xs{
  padding: 1px 5px;
}

.ol-zoom {
  left: unset;
  top: unset;
  bottom:5px;
  right: 5px
}


.tool-bar {
  z-index: 1000;
  position: fixed;
  bottom:75px;
  right: 5px;
  padding:2px;
  /* background-color: rgba(255,255,255,.4); */
  background-color: #4f4f4f;
  /* border-radius: 4px;   */
}
.btn {
  background-color: #4f4f4f;
  color: #f2c94c;
}

.tool-bar button:focus, .tool-bar button:hover {
    text-decoration: none;
    background-color: #4f4f4f;
    /* background-color: rgba(0,60,136,.7); */
}

.tool-bar-button{
  display: block;
  margin: 1px;
  padding: 0;
  color: #2cb9c2;
  font-size: 1.14em;
  font-weight: 700;
  text-decoration: none;
  text-align: center;
  height: 1.375em;
  width: 1.375em;
  line-height: .4em;
  /* background-color: rgba(0,60,136,.5); */
  background-color: #4f4f4f;
  border: none;
  /* border-radius: 2px; */
}


.panel-heading{
    box-sizing: border-box;
    display: -webkit-box;
    display: -webkit-flex;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -webkit-flex-direction: row;
    flex-direction: row;
    width: 100%;
    /* height: 33px; */
    /* max-height: 32px; */
    margin: 0;
    padding-bottom: 5px;
    border-bottom: 1px solid black;
}


.panel-fother{
    box-sizing: border-box;
    display: -webkit-box;
    display: -webkit-flex;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -webkit-flex-direction: row;
    flex-direction: row;
    width: 100%;
    border-top: 1px solid black;
    padding: 2px;
    min-height:25px;
}

.panel-toolbar{
  padding: 2px;
}

tbody{
  width:100%;
  display: table;
}

.tr-narrow{
	height : 20px;
	font-size: small;
	margin: 0 0 0 0;
}

.tr-narrow td{
	padding: 2px 4px !important;
}

.th-narrow{
	height : 20px;
	font-size: small;
	font-weight: bold;
	margin: 0 0 0 0;
}

.th-narrow td{
	padding: 6px 2px !important;
	border-top: 0px solid #ddd !important;
	border-bottom: 2px solid #aaa;
}

.btn-narrow{
	padding : 0px;
}


/*********************/
.table_head {
  padding: 4pt;
  font-weight: bold;
  background-color: #ccc;
}

.table_row {
  padding: 4pt;
  border-bottom: 1px solid #ccc;
}

.row_focused {
background-color: #ddd;
border-bottom: 1px solid #f60;
}


.row_selected {
background-color: #888;
color: 1px solid #FE5A1D;
}

.table_btn{
background-color: #fff;
border-color: #888;
color: #888;
}


.table_input {
  background-color: transparent;
  border: none;
  /* color: #000; */
  color: #eee;
  box-sizing: border-box;
  margin: -2px 0 0 -2px;
  padding: 2px 3px;
  position: relative;
  flex: 1;
  top: 50%;
}

.table_input:focus {
  outline: none;
  color: #f2c94c;

}


.heading-input {
  background-color: transparent;
  border: none;
  color: #000;
  box-sizing: border-box;
}

.heading-input:focus {
  background-color:transparent;
  outline: none;
  color: #f2c94c;
}



.field {
  display: flex;
  flex-flow: column-reverse;
  margin-bottom: 2px;
}
/**
* Add a transition to the label and input.
*/
.field label, input {
  transition: all 0.2s;
}

.field label{
  font-size: 0.7em;
  margin-bottom: 10px;
  margin-left: 10px;
}

.field input {
  font-size: 10pt;
  height: 28px;
  padding: 5px 0px 0px 20px;
  border: 0;
  border-bottom: 1px solid #ccc;
  box-shadow: none!important;
  outline:none;

}

.field select {
    font-size: 1.0em;
    height: 32px;
    padding: 7px 26px;
    border: 0;
    border-bottom: 1px solid #ccc;
}

/**
* Change input border on focus.
*/
.field input:focus {
  outline: 0;
  border-bottom: 1px solid #666;
}
/**
* When the label follows an input matching :placeholder-shown...
* 1. Make sure the label is only on one row, at max 2/3rds of the
*     field—to make sure it scales properly and doesn't wrap.
* 2. Fix the cursor.
* 3. Translate down and scale the label up to cover the placeholder.
*/
.field input:placeholder-shown + label {
  /* [1] */
  max-width: 66.66%;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  /* |2] */
  cursor: text;
  /* [3 */
  transform-origin: left bottom;
  transform: translate(0, 2.125rem) scale(1.1);
}
/**
* By default, the placeholder should be transparent. Also, it should
* inherit the transition.
*/
.field ::-webkit-input-placeholder {
  transition: inherit;
  opacity: 0;
}
/**
* Show the placeholder when the input is focused.
*/
.field input:focus::-webkit-input-placeholder {
  opacity: 1;
}
/**
* 1. When the element is focused, remove the label transform.
*     Also, do this when the placeholder is _not_ shown, i.e. when
*     there's something in the input at all.
* 2. ...and set the cursor to pointer.
*/
.field input:not(:placeholder-shown) + label,
.field input:focus + label {
  transform: translate(-5px, 5px) scale(1); /* [1] */
  cursor: pointer; /* [2] */
}

label {
  font-size: 11px;
  text-transform: uppercase;
  font-family: "Montserrat", sans-serif;
  color: #31404b;
  margin-bottom: 9px;
}

input{
  box-shadow: none;
  outline:none;
}


.form-control{
  -webkit-box-shadow: none;
  box-shadow: none;
  outline:none;
}

.form-group {
  background: none;
  margin-bottom: 2px;
}


.row_focused {
  /* background-color: #ddd; */
  background-color: #6f6f6f;
  border-bottom: 1px solid #f60;
}

.row_ {
  /* background-color: #ddd; */
  border-bottom: 1px solid #888;
}

.flex {
  -webkit-box-flex: 1;
  -webkit-flex: 1;
  flex: 1;
  box-sizing: border-box;
}


.widget-content {
    display: block; /* Hidden by default */
    height: 450px;
    overflow: auto;
    bottom:30px;
}

.hidden {
    display: none; /* Hidden by default */
}


/************************/
/* The Modal (background) */
.myModal {
    display: block; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 10000; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

.myModal-hidden {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}


/* Modal Content/Box */
.modal-content {
    background-color: #fefefe;
    margin: 15% auto; /* 15% from the top and centered */
    padding: 5px;
    border: 1px solid #888;
    width: 80%; /* Could be more or less, depending on screen size */
}

.modal-header {
    padding: 5px;
}

.modal-footer {
    padding: 5px;
}


/* The Close Button */
.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}


.sp-preview {
    position: relative;
    width: 25px;
    height: 15px;
    border: solid 1px #222;
    margin-right: 5px;
    float: left;
    z-index: 0;
}


.wo_open {
  border-left: 5px solid white;
}

.wo_closed {
  border-left: 5px solid green;
}

.table {
    width: 100%;
    max-width: 100%;
    margin-bottom: 0px;
    background-color: transparent;
    border-collapse: collapse;
}

cols-5{
    width: 5%;
    display:inline-block;
}

cols-10{
    width: 10%;
    display:inline-block;
}
cols-20{
    width: 20%;
    display:inline-block;
}
cols-30{
    width: 30%;
    display:inline-block;
}

cols-40{
    width: 40%;
    display:inline-block;
}

cols-50{
    width: 50%;
    display:inline-block;
}

cols-80{
    width: 80%;
    display:inline-block;
}

cols-60{
    width: 60%;
    display:inline-block;
}

cols-70{
    width: 70%;
    display:inline-block;
}


topnav-bar {
  overflow: hidden;
  background-color: #fff;
  width: 450px;
}

topnav-row {
  overflow: hidden;
  padding:2px;
  /* display: inline-block; */
  white-space: nowrap;  
}


topnav-el {
  overflow: hidden;
  padding:2px;
  width:100%;
}

.topnav-el-first {
  padding:2px;
  width:340px;
  border-radius: 2px;
  border-bottom: 1px solid #2cb9c2;
  overflow: hidden;
}

.x-btn{
    position: absolute;
    top: 5px;
    right:4px;
}

.active {
  background-color: #4CAF50;
  color: white;
}

/* .topnav .icon {
  display: none;
} */

/* @media screen and (max-width: 600px) {
  .topnav a:not(:first-child) {display: none;}
  .topnav a.icon {
    float: right;
    display: block;
  }
}

@media screen and (max-width: 600px) {
  .topnav.responsive {position: relative;}
  .topnav.responsive .icon {
    position: absolute;
    right: 2px;
    top: 2px;
  }
  .topnav.responsive a {
    float: none;
    display: block;
    text-align: left;
  }
} */

/*------------------*/
.cols-5{
    width: 5%;
    display:inline-block;
}

.cols-10{
    width: 9%;
    display:inline-block;
}
.cols-20{
    width: 20%;
    display:inline-block;
}
.cols-30{
    width: 30%;
    display:inline-block;
}
.cols-40{
    width: 40%;
    display:inline-block;
}
.cols-50{
    width: 50%;
    display:inline-block;
}

.cols-80{
    width: 80%;
    display:inline-block;
}
.cols-90{
    width: 90%;
    display:inline-block;
}

.center{
  text-align: center;
}

.menu-button{
  background-color: #4f4f4f; 
  color: #2cb9c2;
  border:0px;
}

.menu-input{
  /* background-color: #fff;  */
  background-color: #4f4f4f; 
  color:#333;
  border: none;
}

.menu-button:hover{
  background-color: #eee; 
}

left-menu{
    z-index: 1001;
    padding: 2px;
    border: 1px solid #aaa;
    -webkit-transition: 0.5s; /* For Safari 3.1 to 6.0 */
    transition: 0.5s;
    position: absolute;
    background-color: white;
    top: 2px;
    left:-600px;
    width:100%;
}


/***********************/
.table {display:block; }

.row-narrow{
  /* display:block; */
	/* height : 24px; */
	font-size: 12px;
  margin: 0 0 0 0;
  border-top: 1px solid #dee2e6;
}

.row-narrow-opened{
    /* display:block; */
	font-size: 12px;
  margin: 0 0 0 0;
  border-top: 1px solid #dee2e6;
}

left-widget{
    z-index: 1001;
    padding: 2px;
    border: 1px solid #aaa;
    -webkit-transition: right 1s; /* For Safari 3.1 to 6.0 */
    transition: 1s;
    position: absolute;
    background-color: white;
    top: 0px;
    left:-800px;
    width: 450px;
    height: 100%;
}

.block-button {
    display: block;
    width: 100%;
    border: none;
    padding: 4px 4px;
    /* background-color: #fff;  */
    background-color: #4f4f4f; 
    font-size: 14px;
    cursor: pointer;
    text-align: left;
}
.block-button:hover{
  background-color: #5f5f5f; 
  /* background-color: #eee;  */

}

.back-button {
    display: block;
    width: 32px;
    border: none;
    padding: 4px 9px;
    /* color: #f2c94c; */
    color: #2cb9c2;
    /* background-color: #fff;  */
    background-color: #4f4f4f; 
    font-size: 14px;
    cursor: pointer;
    text-align: left;
}
.back-button:hover{
  background-color: #5f5f5f; 
}

.x-btn{
    display: block;
    position: absolute;
    top: 2px;
    right:2px;
    border:none;   
    width: 32px;
    padding: 4px 9px;
    background-color: #fff; 
    font-size: 14px;
    cursor: pointer;
    text-align: left;
}

.x-btn:hover{
  background-color: #eee; 
}

row-normal{
	height : 25px;
	font-size: 12px;
  margin: 0 0 0 0;
}

row-narrow{
  display:block;
	/* height : 24px; */
	font-size: 12px;
  margin: 0 0 0 0;
  padding-top:3px;
  border-top: 1px solid #dee2e6;
}


.filter-div{
  border-bottom:1px solid black;
}

.angucomplete-dropdown {
    border-color: #ececec;
    border-width: 1px;
    border-style: solid;
    border-radius: 2px;
    width: 250px;
    padding: 6px;
    cursor: pointer;
    z-index: 100000;
    margin-top: -6px;
    background-color: #ffffff;
    position: fixed;
    overflow-y: auto;
    max-height: 200px;

}


.auto-complete-holder {
    position: relative;
}

.auto-complete-dropdown {
    border-color: #ececec;
    border-width: 1px;
    border-style: solid;
    border-radius: 2px;
    width: 230px;
    padding: 6px;
    cursor: pointer;
    z-index: 9999;
    margin-top: -6px;
    background-color: #ffffff;
    position: fixed;
    overflow-y: auto;
    max-height: 200px;
}

.auto-complete-searching {
    color: #acacac;
    font-size: 14px;
}

.auto-complete-description {
    font-size: 14px;
}

.auto-complete-row {
    padding: 5px;
    color: #000000;
    margin-bottom: 4px;
    clear: both;
}

.auto-complete-row:hover {
    background-color: #aaa;
}


.auto-complete-selected-row {
    background-color: lightblue;
    color: #ffffff;
}

/******** datepicker********/
.datepicker {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    height: 22px;
    padding: 0px 2px;
    line-height: 1.733333;
    font-size: 12px;
    color: #444;
    background-color: #fff;
    /* border: 1px solid #555; */
    border: none;
    border-radius: 2px;
    box-shadow: none;
    -webkit-transition: border-color ease-in-out .15s;
    transition: border-color ease-in-out .15s;
}

/* ._720kb-datepicker-calendar-header:nth-child(odd) {
    background: #aaa;
} */

.clickable{
  color: #007bff;
}

.opened{
  /* font-weight: bold; */
  background-color: #acacac;
}

.clickable:hover{
  color: #006baa;
  cursor: pointer;
}

select option {
  background: #4f4f4f;
  color: #fff;
}